Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_handle_error Struct Reference

Valid on messages WIMLIB_PROGRESS_MSG_HANDLE_ERROR. More...

`#include <wimlib.h>`

## Data Fields

const wimlib_tchar * | path
| Path to the file for which the error occurred, or NULL if not relevant.
int | error_code
| The wimlib error code associated with the error.
bool | will_ignore
| Indicates whether the error will be ignored or not.

## Detailed Description

Valid on messages WIMLIB_PROGRESS_MSG_HANDLE_ERROR.

## Field Documentation

## path

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_handle_error::path

Path to the file for which the error occurred, or NULL if not relevant.

## error_code

int wimlib_progress_info::wimlib_progress_info_handle_error::error_code

The wimlib error code associated with the error.

## will_ignore

bool wimlib_progress_info::wimlib_progress_info_handle_error::will_ignore

Indicates whether the error will be ignored or not.

This will be `false` by default; the progress function may set it to `true`.

The documentation for this struct was generated from the following file:

- wimlib.h